DELETE
/api/v1/nodes/{node_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the delete node request
Example
<API_KEY>location
required
string
Specifies the target node location for deletion
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code returned by the Delete Node operation
integer
data
object
vm_id
Identifier of the deleted node
integer
location
Name of the location associated with the deleted node
string
errors
object
message
Result message indicating the outcome of the delete operation
string
Example
{ "code": 200, "data": { "vm_id": 123456, "location": "Delhi" }, "message": "Success"}